//   
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include "atmega328p.h"
#include <avr/io.h>

//  
	ISR(ADC_vect)
		{
		;
//		adc=(ADCL|ADCH<<8);  //    
		}

// 
void adc_init(void)
	{
	ADMUX|=(1<<REFS1)|(1<<REFS0)|(1<<MUX1)|(1<<MUX0);  //  ,  PC3, ADC3
	ADCSRA|=1<<ADPS2|1<<ADPS0|1<<ADPS1;  // 128, 125
	}

uint32_t getVoltage(void)
	{
	ADCSRA|=(1<<ADEN)|(1<<ADIE);  // ,    
	SMCR|=(1<<SM0);  //ADC Noise Reduction
	sei();
	SMCR|=1<<SE;
	sleep_cpu();
	SMCR&=~(1<<SE);
	//  
	cli();
	SMCR=0;
	ADCSRA&=~(1<<ADEN);
	ADCSRA&=~(1<<ADIE);
	return R_DIVISION*(((uint32_t)(ADCL|ADCH<<8)*UREF) + (0x400/2))/0x400; // 
	}
