
/*
  ,   ..

*/

#include <avr/io.h>
#include "atmega328p.h"
#include "uart.h"
#include "adc.h"
#include "spi.h"
#include "morze.h"
#include <avr/interrupt.h>



void atmega328_init(void)
	{
	// 
	DDRC=0b00000010;  // 
	PORTC=0b00000000;
	DDRB=0xFF;  //   
	PORTB=0;
	spi_init();  // SPI     spi.c
	uart_init(BAUDDIVIDER); //  UART     uart.c
	adc_init();
	morze_init();
	cli();
	}

