/*****************************************************

 

Chip type           : ATmega328P
Program type        : Application
Clock frequency     : 16,0 MHz
*****************************************************/

#ifndef ATMEGA328P_H
#define ATMEGA328P_H

//=================================================
//   uart.c
#define BAUDRATE 			9600
#define BAUDDIVIDER			F_CPU/16/BAUDRATE-1
#define DDR_SPI				DDRB
//=================================================


//=================================================
//   adc.c
#define R_DIVISION 						 6   //       
#define UREF							 1100 //     
//=================================================

//CC1101
#define CSN	    2	// SS Port B bit 2 (pin14): chip select for CC
#define MOSI	3	// Port B bit 3 (pin15): data out (data to CC)
#define GDO1_SO	4	// Port B bit 4 (pin16): data in (data from CC1101)
#define SCK	    5	// Port B bit 5 (pin17): clock for CC


void atmega328_init(void);   // ,    ..


#endif
