
/*

  

*/


#include <util/delay.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <avr/io.h>
#include "morze_def.h"
#include "cc1101.h"





//    
/*
ISR(TIMER2_OVF_vect)
		{
		TCNT2=130; //  
		GTCCR|=1<<PSRASY;  //  
		}
*/
/*
ISR(TIMER2_COMPA_vect)
		{
		
		}
*/		
void hf_carrier_on(void)
    {
		CARRIER_ON;
	}
	
void hf_carrier_off(void)
    {
		CARRIER_OFF;
	}
	
void morze_init(void)
	{

	#ifdef HF_CW_OUT_ENABLE
	    HF_CW_PORT&=~(1<<HF_CW_OUT_PIN);  // 
	    OCR1AL=1;  //        ,   1
	    TCCR1A|=1<<COM1A0;  //  . Toggle
	    TCCR1B|=(1<<CS10)|(1<<WGM12);  //   
	#endif	
	
	#ifdef CW_ACTIVE_LOW
		CW_PORT|=1<<CW_OUT_PIN;
	#endif

	#ifdef CW_ACTIVE_HIGH
		CW_PORT&=~(1<<CW_OUT_PIN);
	#endif
/*
	// 2   
	#ifdef HF_CW_OUT_ENABLE
	    OCR2A=200; //   50
	#else
	    OCR2A=50;
	#endif
	
	TCCR2A|=1<<WGM21;  // CTC
*/
	}
/*
void start_timer2(void)
		{
		TIMSK2|=1<<TOIE2;  //     
		TCNT2=130; //  
		GTCCR|=1<<PSRASY;  //  
		TCCR2B|=1<<CS22; //     64
		}
	void stop_timer2(void)
		{
		TCCR2B=0;
		TIMSK2&=~(1<<TOIE2);
		}

void stop_timer2(void)
	{
	TCCR2B=0;
	TIMSK2&=~(1<<OCIE2A);
	}

void start_timer2(void)
	{
	TIMSK2|=1<<OCIE2A;  //     
	TCCR2B|=(1<<CS20); //|(1<<CS20); //     64
	}
*/
/*
	void cw_delay (unsigned long pause)   //      ,      SLEEP,     
		{
			#ifdef HF_CW_OUT_ENABLE
                set_sleep_mode(SLEEP_MODE_IDLE);
				#else
				set_sleep_mode(SLEEP_MODE_PWR_SAVE);
            #endif
			
			sei();
			start_timer2();
			while(pause)
				{
	//			SMCR|=1<<SE;
				sleep_mode();
	//			sleep_cpu();
	//			SMCR&=~(1<<SE);
				pause--;
				}
			stop_timer2();
			cli();
	//		SMCR=0;
		}
*/
void cw_delay(unsigned int pause)   //      ,      SLEEP,     
	{

		while(pause)
		{
			_delay_ms(1);
			pause--;
		}
	}

	void tochka(void)
		{

		//          
		#ifdef CW_ACTIVE_HIGH
			
			#ifdef HF_CW_OUT_ENABLE
			    CARRIER_ON;
			#endif
			
			ccxxx0_Strobe(CCxxx0_STX); //  !
			CW_PORT|=1<<CW_OUT_PIN;
			_delay_ms(TOCHKA);
			
			#ifdef HF_CW_OUT_ENABLE
				CARRIER_OFF;
			#endif
			
			CW_PORT&=~(1<<CW_OUT_PIN);
			ccxxx0_Strobe(CCxxx0_SIDLE);
	//		ccxxx0_Strobe(CCxxx0_SPWD);
			_delay_ms(TOCHKA);
		#endif

		#ifdef CW_ACTIVE_LOW
			
			#ifdef HF_CW_OUT_ENABLE
			    CARRIER_ON;
			#endif
			
			ccxxx0_Strobe(CCxxx0_STX); //  !
			CW_PORT&=~(1<<CW_OUT_PIN);
			_delay_ms(TOCHKA);
			
			#ifdef HF_CW_OUT_ENABLE
			    CARRIER_OFF;
			#endif
			
			CW_PORT|=1<<CW_OUT_PIN;
			ccxxx0_Strobe(CCxxx0_SIDLE);
	//		ccxxx0_Strobe(CCxxx0_SPWD);
			_delay_ms(TOCHKA);
		#endif


		}

	void tire(void)
		{
		//          
		#ifdef CW_ACTIVE_HIGH
			
			#ifdef HF_CW_OUT_ENABLE
			    CARRIER_ON;
			#endif
			
			ccxxx0_Strobe(CCxxx0_STX); //  !
			CW_PORT|=1<<CW_OUT_PIN;
			_delay_ms(TIRE);
			
			#ifdef HF_CW_OUT_ENABLE
			    CARRIER_OFF;
			#endif
			
			CW_PORT&=~(1<<CW_OUT_PIN);
			ccxxx0_Strobe(CCxxx0_SIDLE);
		//	ccxxx0_Strobe(CCxxx0_SPWD);
			_delay_ms(TOCHKA);
		#endif

		#ifdef CW_ACTIVE_LOW
			
			#ifdef HF_CW_OUT_ENABLE
			    CARRIER_ON;
			#endif
			
			ccxxx0_Strobe(CCxxx0_STX); //  !
			CW_PORT&=~(1<<CW_OUT_PIN);
			_delay_ms(TIRE);
			
			#ifdef HF_CW_OUT_ENABLE
			    CARRIER_OFF;
			#endif
			
			CW_PORT|=1<<CW_OUT_PIN;
			ccxxx0_Strobe(CCxxx0_SIDLE);
	//		ccxxx0_Strobe(CCxxx0_SPWD);
			_delay_ms(TOCHKA);
		#endif
		}

	void bukvA(void)
		{
		tochka();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvB(void)
		{
		tire();
		tochka();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvC(void)
		{
		tire();
		tochka();
		tire();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvD(void)
		{
		tire();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvE(void)
		{
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvF(void)
		{
		tochka();
		tochka();
		tire();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvG(void)
		{
		tire();
		tire();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvH(void)
		{
		tochka();
		tochka();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvI(void)
		{
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvJ(void)
		{
		tochka();
		tire();
		tire();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvK(void)
		{
		tire();
		tochka();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvL(void)
		{
		tochka();
		tire();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvM(void)
		{
		tire();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvN(void)
		{
		tire();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvO(void)
		{
		tire();
		tire();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvP(void)
		{
		tochka();
		tire();
		tire();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvQ(void)
		{
		tire();
		tire();
		tochka();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvR(void)
		{
		tochka();
		tire();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvS(void)
		{
		tochka();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvT(void)
		{
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvU(void)
		{
		tochka();
		tochka();
		tire();
		_delay_ms(SYMB_PAUSE);
		}

	void bukvV(void)
		{
		tochka();
		tochka();
		tochka();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvW(void)
		{
		tochka();
		tire();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvX(void)
		{
		tire();
		tochka();
		tochka();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvY(void)
		{
		tire();
		tochka();
		tire();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void bukvZ(void)
		{
		tire();
		tire();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void cif0(void)
		{
		tire();
		tire();
		tire();
		tire();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void cif1(void)
		{
		tochka();
		tire();
		tire();
		tire();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void cif2(void)
		{
		tochka();
		tochka();
		tire();
		tire();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void cif3(void)
		{
		tochka();
		tochka();
		tochka();
		tire();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void cif4(void)
		{
		tochka();
		tochka();
		tochka();
		tochka();
		tire();
		_delay_ms(SYMB_PAUSE);
		}
	void cif5(void)
		{
		tochka();
		tochka();
		tochka();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void cif6(void)
		{
		tire();
		tochka();
		tochka();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void cif7(void)
		{
		tire();
		tire();
		tochka();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void cif8(void)
		{
		tire();
		tire();
		tire();
		tochka();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}
	void cif9(void)
		{
		tire();
		tire();
		tire();
		tire();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}

	void space (void)
		{
//          
		#ifdef CW_ACTIVE_HIGH
		CW_PORT&=~(1<<CW_OUT_PIN);
		#endif

		#ifdef CW_ACTIVE_LOW
		CW_PORT|=1<<CW_OUT_PIN;
		#endif

		_delay_ms(WORD_PAUSE);
		}

	void slash (void)
		{
		tire();
		tochka();
		tochka();
		tire();
		tochka();
		_delay_ms(SYMB_PAUSE);
		}

func_type* func_adr[38]={bukvA,bukvB,bukvC,bukvD,bukvE,bukvF,bukvG,bukvH,bukvI,bukvJ,bukvK,bukvL,bukvM,bukvN,bukvO,bukvP,bukvQ,bukvR,bukvS,bukvT,bukvU,bukvV,bukvW,bukvX,bukvY,bukvZ,cif0,cif1,cif2,cif3,cif4,cif5,cif6,cif7,cif8,cif9,space,slash};



	void cw_tx(unsigned char *ptr)
		{
		unsigned char i=0, i_func_adr;
		while(*(ptr+i))   //     - \0
			{
			if (*(ptr+i)==0) break;
			if (*(ptr+i)=='/') i_func_adr=37;  // 
			else
			{
			if (*(ptr+i)==' ') i_func_adr=36;  // 
				else
				{
				if (*(ptr+i)>=65) i_func_adr=*(ptr+i)-65;   // 
					else i_func_adr=*(ptr+i)-22;    //  
				}
			}
			p=func_adr[i_func_adr];
			(*p)(); //   
			i++;
			}
		}

